Bug 42387 - Rendering GraphicsNode onto SVGGraphics2D cannot reproduce gradients
Rendering GraphicsNode onto SVGGraphics2D cannot reproduce gradients
Status: REOPENED
Product: Batik - Now in Jira
Classification: Unclassified
Component: GVT
1.7
PC Linux
: P2 normal
: ---
Assigned To: Batik Developer's Mailing list
:
Depends on: 42386
Blocks:
  Show dependency tree
 
Reported: 2007-05-10 10:32 UTC by Thomas Behr
Modified: 2011-05-18 12:31 UTC (History)
2 users (show)



Attachments
test case (825 bytes, text/plain)
2007-05-10 10:34 UTC, Thomas Behr
Details
A test case to demonstrate the bug (4.24 KB, text/plain)
2010-10-12 10:27 UTC, Santosh Tiwari
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Behr 2007-05-10 10:32:17 UTC
After applying the patch submitted for bug #42386, rendering GraphicsNodes 
created from a SVGDocument containing gradients will render all gradient-
affected areas black.
Comment 1 Thomas Behr 2007-05-10 10:34:49 UTC
Created attachment 20164 [details]
test case

A very simple SVG with a gradient to reproduce bug #42387
Comment 2 Helder Magalhães 2010-10-10 07:02:53 UTC
Thanks for reporting and providing the test case! :-)

Using the current trunk code I'm unable to reproduce the issue. I believe it was fixed by bug 49558. Please reopen if you feel that's not the case. ;-)

*** This bug has been marked as a duplicate of bug 49558 ***
Comment 3 Santosh Tiwari 2010-10-12 10:27:07 UTC
Created attachment 26164 [details]
A test case to demonstrate the bug
Comment 4 Santosh Tiwari 2010-10-12 10:30:54 UTC
I checked out the most recent batik source code (10.12.2010) and am still facing the problem of not being able to render the gradients when attempting to store my graphics as an SVG image.

I have attached a test case which recreates the problem. The image that I am using for the test case can be downloaded from the following link.

http://upload.wikimedia.org/wikipedia/commons/0/04/Process-stop.svg

On the screen, the image is rendered perfectly, but when stored to a file and the file is viewed in a browser (or Inkscape software), the gradients are rendered black.
Comment 5 Mindaugas Genutis 2011-05-18 12:31:28 UTC
I also encountered this problem when using batik SVG library. I'm creating SVG images and I have to draw SVG icons inside other SVG images. All SVG icons which have gradient patterns are displayed with black areas.

I would be really happy if this bug would be fixed. Is it technically difficult?